Steuer 2014 update

Informations

Creator Message
Versuch5 Anonymous

Warning

This installer has not been approved yet by the team.

Informations

Platforms:
Downloads: 0
Wine: System

Feedbacks

Description

Processing german tax return files.

This script is only to perfoem an online update to the newest version (inclusive ELSTER suport).

Source code

                

Contributions

Filters:

Contribute
Member Message
Versuch5 Sunday 1 March 2015 at 11:22
Versuch5 Anonymous

Warning

This update has not been approved yet by the team.
Use it at your own risk

Message

# Changes
# 20150301 changed $TITLE according to POL database (must be the same spelling)
# 20150301 English translation
# 20150301 removed debug messages

Differences

@@ -0,0 +1,82 @@
+@@ -1,18 +1,21 @@
+ #!/bin/bash
+ #
+-# Date: 20150222
+-# Wine version used: 1.6
++# Date: 20150301
++# Wine version used: 1.7.37
+ # Author: R. Neuber
+ # Script licence: GPLv3
+ # Program licence: copyright Buhl Finance
+ # Depend: -
+ #
+-#
++# Changes
++# 20150301 changed $TITLE according to POL database (must be the same spelling)
++# 20150301 English translation
++# 20150301 removed debug messages
+ 
+ [ "$PLAYONLINUX" = "" ] && exit 0
+ source "$PLAYONLINUX/lib/sources"
+ 
+-TITLE="Steuer 2014 UPDATE"
++TITLE="Steuer 2014 update"
+ SCRIPT_NAME="UPDATE Steuer 2014 (ALDI Edition)"
+ SCRIPT_USER="Versuch5"
+ 
+@@ -28,49 +31,26 @@
+ 
+ # Start debugging API
+ POL_Debug_Init
+-POL_Debug_Message "start script $TITLE"
+ 
+-# POL_SetupWindow_presentation "$SCRIPT_NAME" "$SCRIPT_EDITEUR" "$SCRIPT_URL" "$SCRIPT_USER" "$PREFIX"
+-POL_SetupWindow_free_presentation "$TITLE" "
+-Dieser Assistent wird Ihnen bei ONLINE Aktualisierungen (incl. ELSTER) von\n\n
+-$SCRIPT_NAME\n\n
+-auf Ihrem Computer helfen.\n\n
+-WICHTIG: Das Update kann nur durchgeführt werden, wenn bei der nächsten Abfrage der Punkt:\n\n
+-'Überschreibe (in der Regel funktioniert es, ohne Gewähr)'\n\n
+-gewählt wird.\n\n
+-Nach dem Herunterladen des UPDATES dauert es mehrere Minuten bis das Update im Hintergrund installiert ist. Geduldig warten, nicht abbrechen!\n\n
+-Klicken Sie auf Weiter ..."
++POL_SetupWindow_free_presentation "$TITLE" "$(eval_gettext 'This script will help you installing\n\n$SCRIPT_NAME\n\n(incl ELSTER) on your system.\n\nATTENTION: Use the selection OVERWRITE in the next screen.\n\nAfter the download it will take serveral minutes until the update process is finished. Be patient. Do not abort.')"
+ 
+ POL_Wine_SelectPrefix "$PREFIX"
+ 
+ POL_System_SetArch "x86"
+ POL_Wine_PrefixCreate "$WINE_VERSION"
+ 
+-POL_Debug_Message "Dest Dir $HOME/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Program Files/Steuer 2014"
+-
+-if NOT [ -d $HOME/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Program\ Files/Steuer\ 2014 ];  then
+- POL_SetupWindow "Es ist keine Version installiert. Ein Update ist erst möglich, wenn eine Version installiert ist." "$TITLE" "Version löschen;Version aktualisieren" ";"
++if [ ! -d "$WINEPREFIX/drive_c/$PROGRAMFILES/Steuer 2014" ];  then
++ POL_SetupWindow_message "$(eval_gettext 'There is no version installed. Please install the software before updating.')" "$TITLE"
++ POL_SetupWindow_Close  
+  exit 1
+ fi
+ 
+-POL_Debug_Message "UPDATE"
+-
+-POL_SetupWindow_set_text "Aktualisierung durchführen"
+ POL_System_TmpCreate "update_$TITLE"
+ cd "$POL_System_TmpDir"
+-POL_Debug_Message "start download $POL_System_TmpDir"
+-POL_Debug_Message "from $UPDATE_URL"
+-POL_Debug_Message "$UPDATE_MD5"
+-POL_System_wget "$UPDATE_URL" "\nAktualisierung für $TITLE"
+-POL_Debug_Message "start $POL_System_TmpDir/$UPDATE_EXE"
++POL_System_wget "$UPDATE_URL" "$(eval_gettext '\nDownloading $TITLE')"
+ POL_Wine start /unix "$POL_System_TmpDir/$UPDATE_EXE"
+ POL_Wine_WaitExit
+-#POL_SetupWindow_question "Aktualisierung wurde beendet. Sollen die heruntergeladenen Dateien wieder gelöscht werden (Für die Ausführung des Programmes werden sie nicht benötigt)?" "$TITLE"
+-#if [ "$APP_ANSWER" == "TRUE" ]; then
+-#  POL_System_TmpDelete    
+-#fi
+ 
+-POL_SetupWindow_message "Aktualisierung durchgeführt." "$TITLE"
++POL_SetupWindow_message "$(eval_gettext 'Update finished.')" "$TITLE"
+ POL_SetupWindow_Close
+-
+ exit 0

New source code

@@ -1,18 +1,21 @@
 #!/bin/bash
 #
-# Date: 20150222
-# Wine version used: 1.6
+# Date: 20150301
+# Wine version used: 1.7.37
 # Author: R. Neuber
 # Script licence: GPLv3
 # Program licence: copyright Buhl Finance
 # Depend: -
 #
-#
+# Changes
+# 20150301 changed $TITLE according to POL database (must be the same spelling)
+# 20150301 English translation
+# 20150301 removed debug messages
 
 [ "$PLAYONLINUX" = "" ] && exit 0
 source "$PLAYONLINUX/lib/sources"
 
-TITLE="Steuer 2014 UPDATE"
+TITLE="Steuer 2014 update"
 SCRIPT_NAME="UPDATE Steuer 2014 (ALDI Edition)"
 SCRIPT_USER="Versuch5"
 
@@ -28,49 +31,26 @@
 
 # Start debugging API
 POL_Debug_Init
-POL_Debug_Message "start script $TITLE"
 
-# POL_SetupWindow_presentation "$SCRIPT_NAME" "$SCRIPT_EDITEUR" "$SCRIPT_URL" "$SCRIPT_USER" "$PREFIX"
-POL_SetupWindow_free_presentation "$TITLE" "
-Dieser Assistent wird Ihnen bei ONLINE Aktualisierungen (incl. ELSTER) von\n\n
-$SCRIPT_NAME\n\n
-auf Ihrem Computer helfen.\n\n
-WICHTIG: Das Update kann nur durchgeführt werden, wenn bei der nächsten Abfrage der Punkt:\n\n
-'Überschreibe (in der Regel funktioniert es, ohne Gewähr)'\n\n
-gewählt wird.\n\n
-Nach dem Herunterladen des UPDATES dauert es mehrere Minuten bis das Update im Hintergrund installiert ist. Geduldig warten, nicht abbrechen!\n\n
-Klicken Sie auf Weiter ..."
+POL_SetupWindow_free_presentation "$TITLE" "$(eval_gettext 'This script will help you installing\n\n$SCRIPT_NAME\n\n(incl ELSTER) on your system.\n\nATTENTION: Use the selection OVERWRITE in the next screen.\n\nAfter the download it will take serveral minutes until the update process is finished. Be patient. Do not abort.')"
 
 POL_Wine_SelectPrefix "$PREFIX"
 
 POL_System_SetArch "x86"
 POL_Wine_PrefixCreate "$WINE_VERSION"
 
-POL_Debug_Message "Dest Dir $HOME/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Program Files/Steuer 2014"
-
-if NOT [ -d $HOME/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Program\ Files/Steuer\ 2014 ];  then
- POL_SetupWindow "Es ist keine Version installiert. Ein Update ist erst möglich, wenn eine Version installiert ist." "$TITLE" "Version löschen;Version aktualisieren" ";"
+if [ ! -d "$WINEPREFIX/drive_c/$PROGRAMFILES/Steuer 2014" ];  then
+ POL_SetupWindow_message "$(eval_gettext 'There is no version installed. Please install the software before updating.')" "$TITLE"
+ POL_SetupWindow_Close  
  exit 1
 fi
 
-POL_Debug_Message "UPDATE"
-
-POL_SetupWindow_set_text "Aktualisierung durchführen"
 POL_System_TmpCreate "update_$TITLE"
 cd "$POL_System_TmpDir"
-POL_Debug_Message "start download $POL_System_TmpDir"
-POL_Debug_Message "from $UPDATE_URL"
-POL_Debug_Message "$UPDATE_MD5"
-POL_System_wget "$UPDATE_URL" "\nAktualisierung für $TITLE"
-POL_Debug_Message "start $POL_System_TmpDir/$UPDATE_EXE"
+POL_System_wget "$UPDATE_URL" "$(eval_gettext '\nDownloading $TITLE')"
 POL_Wine start /unix "$POL_System_TmpDir/$UPDATE_EXE"
 POL_Wine_WaitExit
-#POL_SetupWindow_question "Aktualisierung wurde beendet. Sollen die heruntergeladenen Dateien wieder gelöscht werden (Für die Ausführung des Programmes werden sie nicht benötigt)?" "$TITLE"
-#if [ "$APP_ANSWER" == "TRUE" ]; then
-#  POL_System_TmpDelete    
-#fi
 
-POL_SetupWindow_message "Aktualisierung durchgeführt." "$TITLE"
+POL_SetupWindow_message "$(eval_gettext 'Update finished.')" "$TITLE"
 POL_SetupWindow_Close
-
 exit 0

Replies

Sunday 1 March 2015 at 14:22
It seems you submitted a diff; You must submit the new version instead, the site computes and displays diffs just for convenience
Versuch5 Saturday 28 February 2015 at 8:42
Versuch5 Anonymous

Warning

This update has not been approved yet by the team.
Use it at your own risk

Message

initial version.

Differences

@@ -0,0 +1,76 @@
+#!/bin/bash
+#
+# Date: 20150222
+# Wine version used: 1.7.37
+# Author: R. Neuber
+# Script licence: GPLv3
+# Program licence: copyright Buhl Finance
+# Depend: -
+#
+#
+
+[ "$PLAYONLINUX" = "" ] && exit 0
+source "$PLAYONLINUX/lib/sources"
+
+TITLE="Steuer 2014 UPDATE"
+SCRIPT_NAME="UPDATE Steuer 2014 (ALDI Edition)"
+SCRIPT_USER="Versuch5"
+
+# update info
+UPDATE_EXE=steuersoftware2015update.exe
+UPDATE_URL="http://update.buhl-finance.com/hotline/db/10/$UPDATE_EXE"
+
+WINE_VERSION="1.7.37"
+PREFIX="buhlSteuermanager2014"
+
+# start script
+POL_SetupWindow_Init
+
+# Start debugging API
+POL_Debug_Init
+POL_Debug_Message "start script $TITLE"
+
+# POL_SetupWindow_presentation "$SCRIPT_NAME" "$SCRIPT_EDITEUR" "$SCRIPT_URL" "$SCRIPT_USER" "$PREFIX"
+POL_SetupWindow_free_presentation "$TITLE" "
+Dieser Assistent wird Ihnen bei ONLINE Aktualisierungen (incl. ELSTER) von\n\n
+$SCRIPT_NAME\n\n
+auf Ihrem Computer helfen.\n\n
+WICHTIG: Das Update kann nur durchgeführt werden, wenn bei der nächsten Abfrage der Punkt:\n\n
+'Überschreibe (in der Regel funktioniert es, ohne Gewähr)'\n\n
+gewählt wird.\n\n
+Nach dem Herunterladen des UPDATES dauert es mehrere Minuten bis das Update im Hintergrund installiert ist. Geduldig warten, nicht abbrechen!\n\n
+Klicken Sie auf Weiter ..."
+
+POL_Wine_SelectPrefix "$PREFIX"
+
+POL_System_SetArch "x86"
+POL_Wine_PrefixCreate "$WINE_VERSION"
+
+POL_Debug_Message "Dest Dir $HOME/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Program Files/Steuer 2014"
+
+if NOT [ -d $HOME/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Program\ Files/Steuer\ 2014 ];  then
+ POL_SetupWindow "Es ist keine Version installiert. Ein Update ist erst möglich, wenn eine Version installiert ist." "$TITLE" "Version löschen;Version aktualisieren" ";"
+ exit 1
+fi
+
+POL_Debug_Message "UPDATE"
+
+POL_SetupWindow_set_text "Aktualisierung durchführen"
+POL_System_TmpCreate "update_$TITLE"
+cd "$POL_System_TmpDir"
+POL_Debug_Message "start download $POL_System_TmpDir"
+POL_Debug_Message "from $UPDATE_URL"
+POL_Debug_Message "$UPDATE_MD5"
+POL_System_wget "$UPDATE_URL" "\nAktualisierung für $TITLE"
+POL_Debug_Message "start $POL_System_TmpDir/$UPDATE_EXE"
+POL_Wine start /unix "$POL_System_TmpDir/$UPDATE_EXE"
+POL_Wine_WaitExit
+#POL_SetupWindow_question "Aktualisierung wurde beendet. Sollen die heruntergeladenen Dateien wieder gelöscht werden (Für die Ausführung des Programmes werden sie nicht benötigt)?" "$TITLE"
+#if [ "$APP_ANSWER" == "TRUE" ]; then
+#  POL_System_TmpDelete    
+#fi
+
+POL_SetupWindow_message "Aktualisierung durchgeführt." "$TITLE"
+POL_SetupWindow_Close
+
+exit 0

New source code

#!/bin/bash
#
# Date: 20150222
# Wine version used: 1.7.37
# Author: R. Neuber
# Script licence: GPLv3
# Program licence: copyright Buhl Finance
# Depend: -
#
#

[ "$PLAYONLINUX" = "" ] && exit 0
source "$PLAYONLINUX/lib/sources"

TITLE="Steuer 2014 UPDATE"
SCRIPT_NAME="UPDATE Steuer 2014 (ALDI Edition)"
SCRIPT_USER="Versuch5"

# update info
UPDATE_EXE=steuersoftware2015update.exe
UPDATE_URL="http://update.buhl-finance.com/hotline/db/10/$UPDATE_EXE"

WINE_VERSION="1.7.37"
PREFIX="buhlSteuermanager2014"

# start script
POL_SetupWindow_Init

# Start debugging API
POL_Debug_Init
POL_Debug_Message "start script $TITLE"

# POL_SetupWindow_presentation "$SCRIPT_NAME" "$SCRIPT_EDITEUR" "$SCRIPT_URL" "$SCRIPT_USER" "$PREFIX"
POL_SetupWindow_free_presentation "$TITLE" "
Dieser Assistent wird Ihnen bei ONLINE Aktualisierungen (incl. ELSTER) von\n\n
$SCRIPT_NAME\n\n
auf Ihrem Computer helfen.\n\n
WICHTIG: Das Update kann nur durchgeführt werden, wenn bei der nächsten Abfrage der Punkt:\n\n
'Überschreibe (in der Regel funktioniert es, ohne Gewähr)'\n\n
gewählt wird.\n\n
Nach dem Herunterladen des UPDATES dauert es mehrere Minuten bis das Update im Hintergrund installiert ist. Geduldig warten, nicht abbrechen!\n\n
Klicken Sie auf Weiter ..."

POL_Wine_SelectPrefix "$PREFIX"

POL_System_SetArch "x86"
POL_Wine_PrefixCreate "$WINE_VERSION"

POL_Debug_Message "Dest Dir $HOME/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Program Files/Steuer 2014"

if NOT [ -d $HOME/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Program\ Files/Steuer\ 2014 ];  then
 POL_SetupWindow "Es ist keine Version installiert. Ein Update ist erst möglich, wenn eine Version installiert ist." "$TITLE" "Version löschen;Version aktualisieren" ";"
 exit 1
fi

POL_Debug_Message "UPDATE"

POL_SetupWindow_set_text "Aktualisierung durchführen"
POL_System_TmpCreate "update_$TITLE"
cd "$POL_System_TmpDir"
POL_Debug_Message "start download $POL_System_TmpDir"
POL_Debug_Message "from $UPDATE_URL"
POL_Debug_Message "$UPDATE_MD5"
POL_System_wget "$UPDATE_URL" "\nAktualisierung für $TITLE"
POL_Debug_Message "start $POL_System_TmpDir/$UPDATE_EXE"
POL_Wine start /unix "$POL_System_TmpDir/$UPDATE_EXE"
POL_Wine_WaitExit
#POL_SetupWindow_question "Aktualisierung wurde beendet. Sollen die heruntergeladenen Dateien wieder gelöscht werden (Für die Ausführung des Programmes werden sie nicht benötigt)?" "$TITLE"
#if [ "$APP_ANSWER" == "TRUE" ]; then
#  POL_System_TmpDelete    
#fi

POL_SetupWindow_message "Aktualisierung durchgeführt." "$TITLE"
POL_SetupWindow_Close

exit 0

Replies

Saturday 28 February 2015 at 8:58
Same thing; it needs to be in English first, then it can be translated to German later:
Saturday 28 February 2015 at 8:58
http://wiki.playonlinux.com/index.php/Scripting_-_Chapter_10:_Script_Translation
Saturday 28 February 2015 at 9:00
Though, I do understand that this is only relevant in German-speaking countries. Lol. That is fine. Write it in English as best as you can, and I can do my best to make corrections to the strings so that they are right for translation. There should be a way to do that in the positional arguments.
Saturday 28 February 2015 at 9:02
Actually, considering these are German-only, I am not sure how we would do this with the way the translations work. haha. :)
Saturday 28 February 2015 at 10:57
Most comments from the review of the other script also apply to this one; I'll add
TITLE="Steuer 2014 UPDATE"
$TITLE must match _exactly_ the name of the script in the repository (for the automatic bug reporting to work correctly), so make sure the case matches.
if NOT [ -d $HOME/.PlayOnLinux/wineprefix/$PREFIX/drive_c/Program\ Files/Steuer\ 2014 ]; then
This is only pseudocode, correct syntax is if [ ! -d ...
POL_SetupWindow_set_text "Aktualisierung durchführen"
This statement is related to the use of pulse bars (I had to check, it's not very common), did you mean to use POL_SetupWindow_wait instead?